@mixin color($hue, $saturation, $value) {
  @if ($hue == 'alpha') {
    @if ($saturation == 'fader') {
      @if ($value == 'darker') {
        color: #F2F1E6;
        background-color: #262625;
        stroke: #F2F1E6;
        fill: #262625;
      } @else if ($value == 'dark') {
        color: #F2F1E6;
        background-color: #333231;
        stroke: #F2F1E6;
        fill: #333231;
      } @else if ($value == 'dusky') {
        color: #F2F1E6;
        background-color: #4C4C4A;
        stroke: #F2F1E6;
        fill: #4C4C4A;
      } @else if ($value == 'light') {
        color: #191916;
        background-color: #FFFEF9;
        stroke: #191916;
        fill: #FFFEF9;
      }
    } @else if ($saturation == 'fade') {
      @if ($value == 'darker') {
        color: #F2F1E6;
        background-color: #262522;
        stroke: #F2F1E6;
        fill: #262522;
      } @else if ($value == 'dark') {
        color: #F2F1E6;
        background-color: #33322D;
        stroke: #F2F1E6;
        fill: #33322D;
      } @else if ($value == 'dusky') {
        color: #F2F1E6;
        background-color: #4C4B44;
        stroke: #F2F1E6;
        fill: #4C4B44;
      } @else if ($value == 'light') {
        color: #191916;
        background-color: #FFFCE5;
        stroke: #191916;
        fill: #FFFCE5;
      }
    } @else if ($saturation == 'pastel') {
      @if ($value == 'darker') {
        color: #F2F1E6;
        background-color: #26251E;
        stroke: #F2F1E6;
        fill: #26251E;
      } @else if ($value == 'dark') {
        color: #F2F1E6;
        background-color: #333228;
        stroke: #F2F1E6;
        fill: #333228;
      } @else if ($value == 'dusky') {
        color: #F2F1E6;
        background-color: #4C4B3D;
        stroke: #F2F1E6;
        fill: #4C4B3D;
      } @else if ($value == 'light') {
        color: #191916;
        background-color: #FFFACC;
        stroke: #191916;
        fill: #FFFACC;
      }
    } @else if ($saturation == 'bright') {
      @if ($value == 'darker') {
        color: #F2F1E6;
        background-color: #26240F;
        stroke: #F2F1E6;
        fill: #26240F;
      } @else if ($value == 'dark') {
        color: #F2F1E6;
        background-color: #333014;
        stroke: #F2F1E6;
        fill: #333014;
      } @else if ($value == 'dusky') {
        color: #F2F1E6;
        background-color: #4C481E;
        stroke: #F2F1E6;
        fill: #4C481E;
      } @else if ($value == 'light') {
        color: #191916;
        background-color: #FFF266;
        stroke: #191916;
        fill: #FFF266;
      }
    } @else if ($saturation == 'brighter') {
      @if ($value == 'darker') {
        color: #F2F1E6;
        background-color: #262307;
        stroke: #F2F1E6;
        fill: #262307;
      } @else if ($value == 'dark') {
        color: #F2F1E6;
        background-color: #332F0A;
        stroke: #F2F1E6;
        fill: #332F0A;
      } @else if ($value == 'dusky') {
        color: #F2F1E6;
        background-color: #4C470F;
        stroke: #F2F1E6;
        fill: #4C470F;
      } @else if ($value == 'light') {
        color: #191916;
        background-color: #FFEE32;
        stroke: #191916;
        fill: #FFEE32;
      }
    }
  } @else if ($hue == 'beta') {
    @if ($saturation == 'fader') {
      @if ($value == 'darker') {
        color: #E6F2E6;
        background-color: #252625;
        stroke: #E6F2E6;
        fill: #252625;
      } @else if ($value == 'dark') {
        color: #E6F2E6;
        background-color: #313331;
        stroke: #E6F2E6;
        fill: #313331;
      } @else if ($value == 'dusky') {
        color: #E6F2E6;
        background-color: #4A4C4A;
        stroke: #E6F2E6;
        fill: #4A4C4A;
      } @else if ($value == 'light') {
        color: #161916;
        background-color: #F9FFF9;
        stroke: #161916;
        fill: #F9FFF9;
      }
    } @else if ($saturation == 'fade') {
      @if ($value == 'darker') {
        color: #E6F2E6;
        background-color: #222622;
        stroke: #E6F2E6;
        fill: #222622;
      } @else if ($value == 'dark') {
        color: #E6F2E6;
        background-color: #2D332D;
        stroke: #E6F2E6;
        fill: #2D332D;
      } @else if ($value == 'dusky') {
        color: #E6F2E6;
        background-color: #444C44;
        stroke: #E6F2E6;
        fill: #444C44;
      } @else if ($value == 'light') {
        color: #161916;
        background-color: #E5FFE5;
        stroke: #161916;
        fill: #E5FFE5;
      }
    } @else if ($saturation == 'pastel') {
      @if ($value == 'darker') {
        color: #E6F2E6;
        background-color: #1E261E;
        stroke: #E6F2E6;
        fill: #1E261E;
      } @else if ($value == 'dark') {
        color: #E6F2E6;
        background-color: #283328;
        stroke: #E6F2E6;
        fill: #283328;
      } @else if ($value == 'dusky') {
        color: #E6F2E6;
        background-color: #3D4C3D;
        stroke: #E6F2E6;
        fill: #3D4C3D;
      } @else if ($value == 'light') {
        color: #161916;
        background-color: #CCFFCC;
        stroke: #161916;
        fill: #CCFFCC;
      }
    } @else if ($saturation == 'bright') {
      @if ($value == 'darker') {
        color: #E6F2E6;
        background-color: #0F260F;
        stroke: #E6F2E6;
        fill: #0F260F;
      } @else if ($value == 'dark') {
        color: #E6F2E6;
        background-color: #143314;
        stroke: #E6F2E6;
        fill: #143314;
      } @else if ($value == 'dusky') {
        color: #E6F2E6;
        background-color: #1E4C1E;
        stroke: #E6F2E6;
        fill: #1E4C1E;
      } @else if ($value == 'light') {
        color: #161916;
        background-color: #66FF66;
        stroke: #161916;
        fill: #66FF66;
      }
    } @else if ($saturation == 'brighter') {
      @if ($value == 'darker') {
        color: #E6F2E6;
        background-color: #072607;
        stroke: #E6F2E6;
        fill: #072607;
      } @else if ($value == 'dark') {
        color: #E6F2E6;
        background-color: #0A330A;
        stroke: #E6F2E6;
        fill: #0A330A;
      } @else if ($value == 'dusky') {
        color: #E6F2E6;
        background-color: #0F4C0F;
        stroke: #E6F2E6;
        fill: #0F4C0F;
      } @else if ($value == 'light') {
        color: #161916;
        background-color: #32FF32;
        stroke: #161916;
        fill: #32FF32;
      }
    }
  } @else if ($hue == 'gamma') {
    @if ($saturation == 'fader') {
      @if ($value == 'darker') {
        color: #E6F1F2;
        background-color: #252626;
        stroke: #E6F1F2;
        fill: #252626;
      } @else if ($value == 'dark') {
        color: #E6F1F2;
        background-color: #313233;
        stroke: #E6F1F2;
        fill: #313233;
      } @else if ($value == 'dusky') {
        color: #E6F1F2;
        background-color: #4A4C4C;
        stroke: #E6F1F2;
        fill: #4A4C4C;
      } @else if ($value == 'light') {
        color: #161919;
        background-color: #F9FEFF;
        stroke: #161919;
        fill: #F9FEFF;
      }
    } @else if ($saturation == 'fade') {
      @if ($value == 'darker') {
        color: #E6F1F2;
        background-color: #222526;
        stroke: #E6F1F2;
        fill: #222526;
      } @else if ($value == 'dark') {
        color: #E6F1F2;
        background-color: #2D3233;
        stroke: #E6F1F2;
        fill: #2D3233;
      } @else if ($value == 'dusky') {
        color: #E6F1F2;
        background-color: #444B4C;
        stroke: #E6F1F2;
        fill: #444B4C;
      } @else if ($value == 'light') {
        color: #161919;
        background-color: #E5FCFF;
        stroke: #161919;
        fill: #E5FCFF;
      }
    } @else if ($saturation == 'pastel') {
      @if ($value == 'darker') {
        color: #E6F1F2;
        background-color: #1E2526;
        stroke: #E6F1F2;
        fill: #1E2526;
      } @else if ($value == 'dark') {
        color: #E6F1F2;
        background-color: #283233;
        stroke: #E6F1F2;
        fill: #283233;
      } @else if ($value == 'dusky') {
        color: #E6F1F2;
        background-color: #3D4B4C;
        stroke: #E6F1F2;
        fill: #3D4B4C;
      } @else if ($value == 'light') {
        color: #161919;
        background-color: #CCFAFF;
        stroke: #161919;
        fill: #CCFAFF;
      }
    } @else if ($saturation == 'bright') {
      @if ($value == 'darker') {
        color: #E6F1F2;
        background-color: #0F2426;
        stroke: #E6F1F2;
        fill: #0F2426;
      } @else if ($value == 'dark') {
        color: #E6F1F2;
        background-color: #143033;
        stroke: #E6F1F2;
        fill: #143033;
      } @else if ($value == 'dusky') {
        color: #E6F1F2;
        background-color: #1E484C;
        stroke: #E6F1F2;
        fill: #1E484C;
      } @else if ($value == 'light') {
        color: #161919;
        background-color: #66F2FF;
        stroke: #161919;
        fill: #66F2FF;
      }
    } @else if ($saturation == 'brighter') {
      @if ($value == 'darker') {
        color: #E6F1F2;
        background-color: #072326;
        stroke: #E6F1F2;
        fill: #072326;
      } @else if ($value == 'dark') {
        color: #E6F1F2;
        background-color: #0A2F33;
        stroke: #E6F1F2;
        fill: #0A2F33;
      } @else if ($value == 'dusky') {
        color: #E6F1F2;
        background-color: #0F474C;
        stroke: #E6F1F2;
        fill: #0F474C;
      } @else if ($value == 'light') {
        color: #161919;
        background-color: #32EDFF;
        stroke: #161919;
        fill: #32EDFF;
      }
    }
  } @else if ($hue == 'delta') {
    @if ($saturation == 'fader') {
      @if ($value == 'darker') {
        color: #E8E6F2;
        background-color: #252526;
        stroke: #E8E6F2;
        fill: #252526;
      } @else if ($value == 'dark') {
        color: #E8E6F2;
        background-color: #323133;
        stroke: #E8E6F2;
        fill: #323133;
      } @else if ($value == 'dusky') {
        color: #E8E6F2;
        background-color: #4B4A4C;
        stroke: #E8E6F2;
        fill: #4B4A4C;
      } @else if ($value == 'light') {
        color: #171619;
        background-color: #FAF9FF;
        stroke: #171619;
        fill: #FAF9FF;
      }
    } @else if ($saturation == 'fade') {
      @if ($value == 'darker') {
        color: #E8E6F2;
        background-color: #232226;
        stroke: #E8E6F2;
        fill: #232226;
      } @else if ($value == 'dark') {
        color: #E8E6F2;
        background-color: #2E2D33;
        stroke: #E8E6F2;
        fill: #2E2D33;
      } @else if ($value == 'dusky') {
        color: #E8E6F2;
        background-color: #46444C;
        stroke: #E8E6F2;
        fill: #46444C;
      } @else if ($value == 'light') {
        color: #171619;
        background-color: #E9E5FF;
        stroke: #171619;
        fill: #E9E5FF;
      }
    } @else if ($saturation == 'pastel') {
      @if ($value == 'darker') {
        color: #E8E6F2;
        background-color: #1F1E26;
        stroke: #E8E6F2;
        fill: #1F1E26;
      } @else if ($value == 'dark') {
        color: #E8E6F2;
        background-color: #2A2833;
        stroke: #E8E6F2;
        fill: #2A2833;
      } @else if ($value == 'dusky') {
        color: #E8E6F2;
        background-color: #3F3D4C;
        stroke: #E8E6F2;
        fill: #3F3D4C;
      } @else if ($value == 'light') {
        color: #171619;
        background-color: #D4CCFF;
        stroke: #171619;
        fill: #D4CCFF;
      }
    } @else if ($saturation == 'bright') {
      @if ($value == 'darker') {
        color: #E8E6F2;
        background-color: #130F26;
        stroke: #E8E6F2;
        fill: #130F26;
      } @else if ($value == 'dark') {
        color: #E8E6F2;
        background-color: #191433;
        stroke: #E8E6F2;
        fill: #191433;
      } @else if ($value == 'dusky') {
        color: #E8E6F2;
        background-color: #261E4C;
        stroke: #E8E6F2;
        fill: #261E4C;
      } @else if ($value == 'light') {
        color: #171619;
        background-color: #7F66FF;
        stroke: #171619;
        fill: #7F66FF;
      }
    } @else if ($saturation == 'brighter') {
      @if ($value == 'darker') {
        color: #E8E6F2;
        background-color: #0C0726;
        stroke: #E8E6F2;
        fill: #0C0726;
      } @else if ($value == 'dark') {
        color: #E8E6F2;
        background-color: #110A33;
        stroke: #E8E6F2;
        fill: #110A33;
      } @else if ($value == 'dusky') {
        color: #E8E6F2;
        background-color: #190F4C;
        stroke: #E8E6F2;
        fill: #190F4C;
      } @else if ($value == 'light') {
        color: #E8E6F2;
        background-color: #5532FF;
        stroke: #E8E6F2;
        fill: #5532FF;
      }
    }
  } @else if ($hue == 'omega') {
    @if ($saturation == 'fader') {
      @if ($value == 'darker') {
        color: #F2E6EF;
        background-color: #262526;
        stroke: #F2E6EF;
        fill: #262526;
      } @else if ($value == 'dark') {
        color: #F2E6EF;
        background-color: #333132;
        stroke: #F2E6EF;
        fill: #333132;
      } @else if ($value == 'dusky') {
        color: #F2E6EF;
        background-color: #4C4A4C;
        stroke: #F2E6EF;
        fill: #4C4A4C;
      } @else if ($value == 'light') {
        color: #191618;
        background-color: #FFF9FD;
        stroke: #191618;
        fill: #FFF9FD;
      }
    } @else if ($saturation == 'fade') {
      @if ($value == 'darker') {
        color: #F2E6EF;
        background-color: #262225;
        stroke: #F2E6EF;
        fill: #262225;
      } @else if ($value == 'dark') {
        color: #F2E6EF;
        background-color: #332D31;
        stroke: #F2E6EF;
        fill: #332D31;
      } @else if ($value == 'dusky') {
        color: #F2E6EF;
        background-color: #4C444A;
        stroke: #F2E6EF;
        fill: #4C444A;
      } @else if ($value == 'light') {
        color: #191618;
        background-color: #FFE5F8;
        stroke: #191618;
        fill: #FFE5F8;
      }
    } @else if ($saturation == 'pastel') {
      @if ($value == 'darker') {
        color: #F2E6EF;
        background-color: #261E24;
        stroke: #F2E6EF;
        fill: #261E24;
      } @else if ($value == 'dark') {
        color: #F2E6EF;
        background-color: #332830;
        stroke: #F2E6EF;
        fill: #332830;
      } @else if ($value == 'dusky') {
        color: #F2E6EF;
        background-color: #4C3D48;
        stroke: #F2E6EF;
        fill: #4C3D48;
      } @else if ($value == 'light') {
        color: #191618;
        background-color: #FFCCF2;
        stroke: #191618;
        fill: #FFCCF2;
      }
    } @else if ($saturation == 'bright') {
      @if ($value == 'darker') {
        color: #F2E6EF;
        background-color: #260F20;
        stroke: #F2E6EF;
        fill: #260F20;
      } @else if ($value == 'dark') {
        color: #F2E6EF;
        background-color: #33142B;
        stroke: #F2E6EF;
        fill: #33142B;
      } @else if ($value == 'dusky') {
        color: #F2E6EF;
        background-color: #4C1E41;
        stroke: #F2E6EF;
        fill: #4C1E41;
      } @else if ($value == 'light') {
        color: #191618;
        background-color: #FF66D8;
        stroke: #191618;
        fill: #FF66D8;
      }
    } @else if ($saturation == 'brighter') {
      @if ($value == 'darker') {
        color: #F2E6EF;
        background-color: #26071E;
        stroke: #F2E6EF;
        fill: #26071E;
      } @else if ($value == 'dark') {
        color: #F2E6EF;
        background-color: #330A28;
        stroke: #F2E6EF;
        fill: #330A28;
      } @else if ($value == 'dusky') {
        color: #F2E6EF;
        background-color: #4C0F3D;
        stroke: #F2E6EF;
        fill: #4C0F3D;
      } @else if ($value == 'light') {
        color: #191618;
        background-color: #FF32CC;
        stroke: #191618;
        fill: #FF32CC;
      }
    }
  }
}

@mixin textColor($hue, $saturation, $value) {
  @if ($hue == 'alpha') {
    @if ($saturation == 'fader') {
      @if ($value == 'darker') {
        color: #262625;
        stroke: #262625;
      } @else if ($value == 'dark') {
        color: #333231;
        stroke: #333231;
      } @else if ($value == 'dusky') {
        color: #4C4C4A;
        stroke: #4C4C4A;
      } @else if ($value == 'light') {
        color: #FFFEF9;
        stroke: #FFFEF9;
      }
    } @else if ($saturation == 'fade') {
      @if ($value == 'darker') {
        color: #262522;
        stroke: #262522;
      } @else if ($value == 'dark') {
        color: #33322D;
        stroke: #33322D;
      } @else if ($value == 'dusky') {
        color: #4C4B44;
        stroke: #4C4B44;
      } @else if ($value == 'light') {
        color: #FFFCE5;
        stroke: #FFFCE5;
      }
    } @else if ($saturation == 'pastel') {
      @if ($value == 'darker') {
        color: #26251E;
        stroke: #26251E;
      } @else if ($value == 'dark') {
        color: #333228;
        stroke: #333228;
      } @else if ($value == 'dusky') {
        color: #4C4B3D;
        stroke: #4C4B3D;
      } @else if ($value == 'light') {
        color: #FFFACC;
        stroke: #FFFACC;
      }
    } @else if ($saturation == 'bright') {
      @if ($value == 'darker') {
        color: #26240F;
        stroke: #26240F;
      } @else if ($value == 'dark') {
        color: #333014;
        stroke: #333014;
      } @else if ($value == 'dusky') {
        color: #4C481E;
        stroke: #4C481E;
      } @else if ($value == 'light') {
        color: #FFF266;
        stroke: #FFF266;
      }
    } @else if ($saturation == 'brighter') {
      @if ($value == 'darker') {
        color: #262307;
        stroke: #262307;
      } @else if ($value == 'dark') {
        color: #332F0A;
        stroke: #332F0A;
      } @else if ($value == 'dusky') {
        color: #4C470F;
        stroke: #4C470F;
      } @else if ($value == 'light') {
        color: #FFEE32;
        stroke: #FFEE32;
      }
    }
  } @else if ($hue == 'beta') {
    @if ($saturation == 'fader') {
      @if ($value == 'darker') {
        color: #252625;
        stroke: #252625;
      } @else if ($value == 'dark') {
        color: #313331;
        stroke: #313331;
      } @else if ($value == 'dusky') {
        color: #4A4C4A;
        stroke: #4A4C4A;
      } @else if ($value == 'light') {
        color: #F9FFF9;
        stroke: #F9FFF9;
      }
    } @else if ($saturation == 'fade') {
      @if ($value == 'darker') {
        color: #222622;
        stroke: #222622;
      } @else if ($value == 'dark') {
        color: #2D332D;
        stroke: #2D332D;
      } @else if ($value == 'dusky') {
        color: #444C44;
        stroke: #444C44;
      } @else if ($value == 'light') {
        color: #E5FFE5;
        stroke: #E5FFE5;
      }
    } @else if ($saturation == 'pastel') {
      @if ($value == 'darker') {
        color: #1E261E;
        stroke: #1E261E;
      } @else if ($value == 'dark') {
        color: #283328;
        stroke: #283328;
      } @else if ($value == 'dusky') {
        color: #3D4C3D;
        stroke: #3D4C3D;
      } @else if ($value == 'light') {
        color: #CCFFCC;
        stroke: #CCFFCC;
      }
    } @else if ($saturation == 'bright') {
      @if ($value == 'darker') {
        color: #0F260F;
        stroke: #0F260F;
      } @else if ($value == 'dark') {
        color: #143314;
        stroke: #143314;
      } @else if ($value == 'dusky') {
        color: #1E4C1E;
        stroke: #1E4C1E;
      } @else if ($value == 'light') {
        color: #66FF66;
        stroke: #66FF66;
      }
    } @else if ($saturation == 'brighter') {
      @if ($value == 'darker') {
        color: #072607;
        stroke: #072607;
      } @else if ($value == 'dark') {
        color: #0A330A;
        stroke: #0A330A;
      } @else if ($value == 'dusky') {
        color: #0F4C0F;
        stroke: #0F4C0F;
      } @else if ($value == 'light') {
        color: #32FF32;
        stroke: #32FF32;
      }
    }
  } @else if ($hue == 'gamma') {
    @if ($saturation == 'fader') {
      @if ($value == 'darker') {
        color: #252626;
        stroke: #252626;
      } @else if ($value == 'dark') {
        color: #313233;
        stroke: #313233;
      } @else if ($value == 'dusky') {
        color: #4A4C4C;
        stroke: #4A4C4C;
      } @else if ($value == 'light') {
        color: #F9FEFF;
        stroke: #F9FEFF;
      }
    } @else if ($saturation == 'fade') {
      @if ($value == 'darker') {
        color: #222526;
        stroke: #222526;
      } @else if ($value == 'dark') {
        color: #2D3233;
        stroke: #2D3233;
      } @else if ($value == 'dusky') {
        color: #444B4C;
        stroke: #444B4C;
      } @else if ($value == 'light') {
        color: #E5FCFF;
        stroke: #E5FCFF;
      }
    } @else if ($saturation == 'pastel') {
      @if ($value == 'darker') {
        color: #1E2526;
        stroke: #1E2526;
      } @else if ($value == 'dark') {
        color: #283233;
        stroke: #283233;
      } @else if ($value == 'dusky') {
        color: #3D4B4C;
        stroke: #3D4B4C;
      } @else if ($value == 'light') {
        color: #CCFAFF;
        stroke: #CCFAFF;
      }
    } @else if ($saturation == 'bright') {
      @if ($value == 'darker') {
        color: #0F2426;
        stroke: #0F2426;
      } @else if ($value == 'dark') {
        color: #143033;
        stroke: #143033;
      } @else if ($value == 'dusky') {
        color: #1E484C;
        stroke: #1E484C;
      } @else if ($value == 'light') {
        color: #66F2FF;
        stroke: #66F2FF;
      }
    } @else if ($saturation == 'brighter') {
      @if ($value == 'darker') {
        color: #072326;
        stroke: #072326;
      } @else if ($value == 'dark') {
        color: #0A2F33;
        stroke: #0A2F33;
      } @else if ($value == 'dusky') {
        color: #0F474C;
        stroke: #0F474C;
      } @else if ($value == 'light') {
        color: #32EDFF;
        stroke: #32EDFF;
      }
    }
  } @else if ($hue == 'delta') {
    @if ($saturation == 'fader') {
      @if ($value == 'darker') {
        color: #252526;
        stroke: #252526;
      } @else if ($value == 'dark') {
        color: #323133;
        stroke: #323133;
      } @else if ($value == 'dusky') {
        color: #4B4A4C;
        stroke: #4B4A4C;
      } @else if ($value == 'light') {
        color: #FAF9FF;
        stroke: #FAF9FF;
      }
    } @else if ($saturation == 'fade') {
      @if ($value == 'darker') {
        color: #232226;
        stroke: #232226;
      } @else if ($value == 'dark') {
        color: #2E2D33;
        stroke: #2E2D33;
      } @else if ($value == 'dusky') {
        color: #46444C;
        stroke: #46444C;
      } @else if ($value == 'light') {
        color: #E9E5FF;
        stroke: #E9E5FF;
      }
    } @else if ($saturation == 'pastel') {
      @if ($value == 'darker') {
        color: #1F1E26;
        stroke: #1F1E26;
      } @else if ($value == 'dark') {
        color: #2A2833;
        stroke: #2A2833;
      } @else if ($value == 'dusky') {
        color: #3F3D4C;
        stroke: #3F3D4C;
      } @else if ($value == 'light') {
        color: #D4CCFF;
        stroke: #D4CCFF;
      }
    } @else if ($saturation == 'bright') {
      @if ($value == 'darker') {
        color: #130F26;
        stroke: #130F26;
      } @else if ($value == 'dark') {
        color: #191433;
        stroke: #191433;
      } @else if ($value == 'dusky') {
        color: #261E4C;
        stroke: #261E4C;
      } @else if ($value == 'light') {
        color: #7F66FF;
        stroke: #7F66FF;
      }
    } @else if ($saturation == 'brighter') {
      @if ($value == 'darker') {
        color: #0C0726;
        stroke: #0C0726;
      } @else if ($value == 'dark') {
        color: #110A33;
        stroke: #110A33;
      } @else if ($value == 'dusky') {
        color: #190F4C;
        stroke: #190F4C;
      } @else if ($value == 'light') {
        color: #5532FF;
        stroke: #5532FF;
      }
    }
  } @else if ($hue == 'omega') {
    @if ($saturation == 'fader') {
      @if ($value == 'darker') {
        color: #262526;
        stroke: #262526;
      } @else if ($value == 'dark') {
        color: #333132;
        stroke: #333132;
      } @else if ($value == 'dusky') {
        color: #4C4A4C;
        stroke: #4C4A4C;
      } @else if ($value == 'light') {
        color: #FFF9FD;
        stroke: #FFF9FD;
      }
    } @else if ($saturation == 'fade') {
      @if ($value == 'darker') {
        color: #262225;
        stroke: #262225;
      } @else if ($value == 'dark') {
        color: #332D31;
        stroke: #332D31;
      } @else if ($value == 'dusky') {
        color: #4C444A;
        stroke: #4C444A;
      } @else if ($value == 'light') {
        color: #FFE5F8;
        stroke: #FFE5F8;
      }
    } @else if ($saturation == 'pastel') {
      @if ($value == 'darker') {
        color: #261E24;
        stroke: #261E24;
      } @else if ($value == 'dark') {
        color: #332830;
        stroke: #332830;
      } @else if ($value == 'dusky') {
        color: #4C3D48;
        stroke: #4C3D48;
      } @else if ($value == 'light') {
        color: #FFCCF2;
        stroke: #FFCCF2;
      }
    } @else if ($saturation == 'bright') {
      @if ($value == 'darker') {
        color: #260F20;
        stroke: #260F20;
      } @else if ($value == 'dark') {
        color: #33142B;
        stroke: #33142B;
      } @else if ($value == 'dusky') {
        color: #4C1E41;
        stroke: #4C1E41;
      } @else if ($value == 'light') {
        color: #FF66D8;
        stroke: #FF66D8;
      }
    } @else if ($saturation == 'brighter') {
      @if ($value == 'darker') {
        color: #26071E;
        stroke: #26071E;
      } @else if ($value == 'dark') {
        color: #330A28;
        stroke: #330A28;
      } @else if ($value == 'dusky') {
        color: #4C0F3D;
        stroke: #4C0F3D;
      } @else if ($value == 'light') {
        color: #FF32CC;
        stroke: #FF32CC;
      }
    }
  }
}

@mixin lightBorderColor($hue, $saturation, $value) {
  @if ($hue == 'alpha') {
    @if ($saturation == 'fader') {
      @if ($value == 'darker') {
        border-color: #26262548;
        stroke: #262625;
      } @else if ($value == 'dark') {
        border-color: #33323148;
        stroke: #333231;
      } @else if ($value == 'dusky') {
        border-color: #4C4C4A48;
        stroke: #4C4C4A;
      } @else if ($value == 'light') {
        border-color: #FFFEF948;
        stroke: #FFFEF9;
      }
    } @else if ($saturation == 'fade') {
      @if ($value == 'darker') {
        border-color: #26252248;
        stroke: #262522;
      } @else if ($value == 'dark') {
        border-color: #33322D48;
        stroke: #33322D;
      } @else if ($value == 'dusky') {
        border-color: #4C4B4448;
        stroke: #4C4B44;
      } @else if ($value == 'light') {
        border-color: #FFFCE548;
        stroke: #FFFCE5;
      }
    } @else if ($saturation == 'pastel') {
      @if ($value == 'darker') {
        border-color: #26251E48;
        stroke: #26251E;
      } @else if ($value == 'dark') {
        border-color: #33322848;
        stroke: #333228;
      } @else if ($value == 'dusky') {
        border-color: #4C4B3D48;
        stroke: #4C4B3D;
      } @else if ($value == 'light') {
        border-color: #FFFACC48;
        stroke: #FFFACC;
      }
    } @else if ($saturation == 'bright') {
      @if ($value == 'darker') {
        border-color: #26240F48;
        stroke: #26240F;
      } @else if ($value == 'dark') {
        border-color: #33301448;
        stroke: #333014;
      } @else if ($value == 'dusky') {
        border-color: #4C481E48;
        stroke: #4C481E;
      } @else if ($value == 'light') {
        border-color: #FFF26648;
        stroke: #FFF266;
      }
    } @else if ($saturation == 'brighter') {
      @if ($value == 'darker') {
        border-color: #26230748;
        stroke: #262307;
      } @else if ($value == 'dark') {
        border-color: #332F0A48;
        stroke: #332F0A;
      } @else if ($value == 'dusky') {
        border-color: #4C470F48;
        stroke: #4C470F;
      } @else if ($value == 'light') {
        border-color: #FFEE3248;
        stroke: #FFEE32;
      }
    }
  } @else if ($hue == 'beta') {
    @if ($saturation == 'fader') {
      @if ($value == 'darker') {
        border-color: #25262548;
        stroke: #252625;
      } @else if ($value == 'dark') {
        border-color: #31333148;
        stroke: #313331;
      } @else if ($value == 'dusky') {
        border-color: #4A4C4A48;
        stroke: #4A4C4A;
      } @else if ($value == 'light') {
        border-color: #F9FFF948;
        stroke: #F9FFF9;
      }
    } @else if ($saturation == 'fade') {
      @if ($value == 'darker') {
        border-color: #22262248;
        stroke: #222622;
      } @else if ($value == 'dark') {
        border-color: #2D332D48;
        stroke: #2D332D;
      } @else if ($value == 'dusky') {
        border-color: #444C4448;
        stroke: #444C44;
      } @else if ($value == 'light') {
        border-color: #E5FFE548;
        stroke: #E5FFE5;
      }
    } @else if ($saturation == 'pastel') {
      @if ($value == 'darker') {
        border-color: #1E261E48;
        stroke: #1E261E;
      } @else if ($value == 'dark') {
        border-color: #28332848;
        stroke: #283328;
      } @else if ($value == 'dusky') {
        border-color: #3D4C3D48;
        stroke: #3D4C3D;
      } @else if ($value == 'light') {
        border-color: #CCFFCC48;
        stroke: #CCFFCC;
      }
    } @else if ($saturation == 'bright') {
      @if ($value == 'darker') {
        border-color: #0F260F48;
        stroke: #0F260F;
      } @else if ($value == 'dark') {
        border-color: #14331448;
        stroke: #143314;
      } @else if ($value == 'dusky') {
        border-color: #1E4C1E48;
        stroke: #1E4C1E;
      } @else if ($value == 'light') {
        border-color: #66FF6648;
        stroke: #66FF66;
      }
    } @else if ($saturation == 'brighter') {
      @if ($value == 'darker') {
        border-color: #07260748;
        stroke: #072607;
      } @else if ($value == 'dark') {
        border-color: #0A330A48;
        stroke: #0A330A;
      } @else if ($value == 'dusky') {
        border-color: #0F4C0F48;
        stroke: #0F4C0F;
      } @else if ($value == 'light') {
        border-color: #32FF3248;
        stroke: #32FF32;
      }
    }
  } @else if ($hue == 'gamma') {
    @if ($saturation == 'fader') {
      @if ($value == 'darker') {
        border-color: #25262648;
        stroke: #252626;
      } @else if ($value == 'dark') {
        border-color: #31323348;
        stroke: #313233;
      } @else if ($value == 'dusky') {
        border-color: #4A4C4C48;
        stroke: #4A4C4C;
      } @else if ($value == 'light') {
        border-color: #F9FEFF48;
        stroke: #F9FEFF;
      }
    } @else if ($saturation == 'fade') {
      @if ($value == 'darker') {
        border-color: #22252648;
        stroke: #222526;
      } @else if ($value == 'dark') {
        border-color: #2D323348;
        stroke: #2D3233;
      } @else if ($value == 'dusky') {
        border-color: #444B4C48;
        stroke: #444B4C;
      } @else if ($value == 'light') {
        border-color: #E5FCFF48;
        stroke: #E5FCFF;
      }
    } @else if ($saturation == 'pastel') {
      @if ($value == 'darker') {
        border-color: #1E252648;
        stroke: #1E2526;
      } @else if ($value == 'dark') {
        border-color: #28323348;
        stroke: #283233;
      } @else if ($value == 'dusky') {
        border-color: #3D4B4C48;
        stroke: #3D4B4C;
      } @else if ($value == 'light') {
        border-color: #CCFAFF48;
        stroke: #CCFAFF;
      }
    } @else if ($saturation == 'bright') {
      @if ($value == 'darker') {
        border-color: #0F242648;
        stroke: #0F2426;
      } @else if ($value == 'dark') {
        border-color: #14303348;
        stroke: #143033;
      } @else if ($value == 'dusky') {
        border-color: #1E484C48;
        stroke: #1E484C;
      } @else if ($value == 'light') {
        border-color: #66F2FF48;
        stroke: #66F2FF;
      }
    } @else if ($saturation == 'brighter') {
      @if ($value == 'darker') {
        border-color: #07232648;
        stroke: #072326;
      } @else if ($value == 'dark') {
        border-color: #0A2F3348;
        stroke: #0A2F33;
      } @else if ($value == 'dusky') {
        border-color: #0F474C48;
        stroke: #0F474C;
      } @else if ($value == 'light') {
        border-color: #32EDFF48;
        stroke: #32EDFF;
      }
    }
  } @else if ($hue == 'delta') {
    @if ($saturation == 'fader') {
      @if ($value == 'darker') {
        border-color: #25252648;
        stroke: #252526;
      } @else if ($value == 'dark') {
        border-color: #32313348;
        stroke: #323133;
      } @else if ($value == 'dusky') {
        border-color: #4B4A4C48;
        stroke: #4B4A4C;
      } @else if ($value == 'light') {
        border-color: #FAF9FF48;
        stroke: #FAF9FF;
      }
    } @else if ($saturation == 'fade') {
      @if ($value == 'darker') {
        border-color: #23222648;
        stroke: #232226;
      } @else if ($value == 'dark') {
        border-color: #2E2D3348;
        stroke: #2E2D33;
      } @else if ($value == 'dusky') {
        border-color: #46444C48;
        stroke: #46444C;
      } @else if ($value == 'light') {
        border-color: #E9E5FF48;
        stroke: #E9E5FF;
      }
    } @else if ($saturation == 'pastel') {
      @if ($value == 'darker') {
        border-color: #1F1E2648;
        stroke: #1F1E26;
      } @else if ($value == 'dark') {
        border-color: #2A283348;
        stroke: #2A2833;
      } @else if ($value == 'dusky') {
        border-color: #3F3D4C48;
        stroke: #3F3D4C;
      } @else if ($value == 'light') {
        border-color: #D4CCFF48;
        stroke: #D4CCFF;
      }
    } @else if ($saturation == 'bright') {
      @if ($value == 'darker') {
        border-color: #130F2648;
        stroke: #130F26;
      } @else if ($value == 'dark') {
        border-color: #19143348;
        stroke: #191433;
      } @else if ($value == 'dusky') {
        border-color: #261E4C48;
        stroke: #261E4C;
      } @else if ($value == 'light') {
        border-color: #7F66FF48;
        stroke: #7F66FF;
      }
    } @else if ($saturation == 'brighter') {
      @if ($value == 'darker') {
        border-color: #0C072648;
        stroke: #0C0726;
      } @else if ($value == 'dark') {
        border-color: #110A3348;
        stroke: #110A33;
      } @else if ($value == 'dusky') {
        border-color: #190F4C48;
        stroke: #190F4C;
      } @else if ($value == 'light') {
        border-color: #5532FF48;
        stroke: #5532FF;
      }
    }
  } @else if ($hue == 'omega') {
    @if ($saturation == 'fader') {
      @if ($value == 'darker') {
        border-color: #26252648;
        stroke: #262526;
      } @else if ($value == 'dark') {
        border-color: #33313248;
        stroke: #333132;
      } @else if ($value == 'dusky') {
        border-color: #4C4A4C48;
        stroke: #4C4A4C;
      } @else if ($value == 'light') {
        border-color: #FFF9FD48;
        stroke: #FFF9FD;
      }
    } @else if ($saturation == 'fade') {
      @if ($value == 'darker') {
        border-color: #26222548;
        stroke: #262225;
      } @else if ($value == 'dark') {
        border-color: #332D3148;
        stroke: #332D31;
      } @else if ($value == 'dusky') {
        border-color: #4C444A48;
        stroke: #4C444A;
      } @else if ($value == 'light') {
        border-color: #FFE5F848;
        stroke: #FFE5F8;
      }
    } @else if ($saturation == 'pastel') {
      @if ($value == 'darker') {
        border-color: #261E2448;
        stroke: #261E24;
      } @else if ($value == 'dark') {
        border-color: #33283048;
        stroke: #332830;
      } @else if ($value == 'dusky') {
        border-color: #4C3D4848;
        stroke: #4C3D48;
      } @else if ($value == 'light') {
        border-color: #FFCCF248;
        stroke: #FFCCF2;
      }
    } @else if ($saturation == 'bright') {
      @if ($value == 'darker') {
        border-color: #260F2048;
        stroke: #260F20;
      } @else if ($value == 'dark') {
        border-color: #33142B48;
        stroke: #33142B;
      } @else if ($value == 'dusky') {
        border-color: #4C1E4148;
        stroke: #4C1E41;
      } @else if ($value == 'light') {
        border-color: #FF66D848;
        stroke: #FF66D8;
      }
    } @else if ($saturation == 'brighter') {
      @if ($value == 'darker') {
        border-color: #26071E48;
        stroke: #26071E;
      } @else if ($value == 'dark') {
        border-color: #330A2848;
        stroke: #330A28;
      } @else if ($value == 'dusky') {
        border-color: #4C0F3D48;
        stroke: #4C0F3D;
      } @else if ($value == 'light') {
        border-color: #FF32CC48;
        stroke: #FF32CC;
      }
    }
  }
}

@mixin lightColor($hue, $saturation, $value) {
  @if ($hue == 'alpha') {
    @if ($saturation == 'fader') {
      @if ($value == 'darker') {
        color: #26262548;
        stroke: #262625;
      } @else if ($value == 'dark') {
        color: #33323148;
        stroke: #333231;
      } @else if ($value == 'dusky') {
        color: #4C4C4A48;
        stroke: #4C4C4A;
      } @else if ($value == 'light') {
        color: #FFFEF948;
        stroke: #FFFEF9;
      }
    } @else if ($saturation == 'fade') {
      @if ($value == 'darker') {
        color: #26252248;
        stroke: #262522;
      } @else if ($value == 'dark') {
        color: #33322D48;
        stroke: #33322D;
      } @else if ($value == 'dusky') {
        color: #4C4B4448;
        stroke: #4C4B44;
      } @else if ($value == 'light') {
        color: #FFFCE548;
        stroke: #FFFCE5;
      }
    } @else if ($saturation == 'pastel') {
      @if ($value == 'darker') {
        color: #26251E48;
        stroke: #26251E;
      } @else if ($value == 'dark') {
        color: #33322848;
        stroke: #333228;
      } @else if ($value == 'dusky') {
        color: #4C4B3D48;
        stroke: #4C4B3D;
      } @else if ($value == 'light') {
        color: #FFFACC48;
        stroke: #FFFACC;
      }
    } @else if ($saturation == 'bright') {
      @if ($value == 'darker') {
        color: #26240F48;
        stroke: #26240F;
      } @else if ($value == 'dark') {
        color: #33301448;
        stroke: #333014;
      } @else if ($value == 'dusky') {
        color: #4C481E48;
        stroke: #4C481E;
      } @else if ($value == 'light') {
        color: #FFF26648;
        stroke: #FFF266;
      }
    } @else if ($saturation == 'brighter') {
      @if ($value == 'darker') {
        color: #26230748;
        stroke: #262307;
      } @else if ($value == 'dark') {
        color: #332F0A48;
        stroke: #332F0A;
      } @else if ($value == 'dusky') {
        color: #4C470F48;
        stroke: #4C470F;
      } @else if ($value == 'light') {
        color: #FFEE3248;
        stroke: #FFEE32;
      }
    }
  } @else if ($hue == 'beta') {
    @if ($saturation == 'fader') {
      @if ($value == 'darker') {
        color: #25262548;
        stroke: #252625;
      } @else if ($value == 'dark') {
        color: #31333148;
        stroke: #313331;
      } @else if ($value == 'dusky') {
        color: #4A4C4A48;
        stroke: #4A4C4A;
      } @else if ($value == 'light') {
        color: #F9FFF948;
        stroke: #F9FFF9;
      }
    } @else if ($saturation == 'fade') {
      @if ($value == 'darker') {
        color: #22262248;
        stroke: #222622;
      } @else if ($value == 'dark') {
        color: #2D332D48;
        stroke: #2D332D;
      } @else if ($value == 'dusky') {
        color: #444C4448;
        stroke: #444C44;
      } @else if ($value == 'light') {
        color: #E5FFE548;
        stroke: #E5FFE5;
      }
    } @else if ($saturation == 'pastel') {
      @if ($value == 'darker') {
        color: #1E261E48;
        stroke: #1E261E;
      } @else if ($value == 'dark') {
        color: #28332848;
        stroke: #283328;
      } @else if ($value == 'dusky') {
        color: #3D4C3D48;
        stroke: #3D4C3D;
      } @else if ($value == 'light') {
        color: #CCFFCC48;
        stroke: #CCFFCC;
      }
    } @else if ($saturation == 'bright') {
      @if ($value == 'darker') {
        color: #0F260F48;
        stroke: #0F260F;
      } @else if ($value == 'dark') {
        color: #14331448;
        stroke: #143314;
      } @else if ($value == 'dusky') {
        color: #1E4C1E48;
        stroke: #1E4C1E;
      } @else if ($value == 'light') {
        color: #66FF6648;
        stroke: #66FF66;
      }
    } @else if ($saturation == 'brighter') {
      @if ($value == 'darker') {
        color: #07260748;
        stroke: #072607;
      } @else if ($value == 'dark') {
        color: #0A330A48;
        stroke: #0A330A;
      } @else if ($value == 'dusky') {
        color: #0F4C0F48;
        stroke: #0F4C0F;
      } @else if ($value == 'light') {
        color: #32FF3248;
        stroke: #32FF32;
      }
    }
  } @else if ($hue == 'gamma') {
    @if ($saturation == 'fader') {
      @if ($value == 'darker') {
        color: #25262648;
        stroke: #252626;
      } @else if ($value == 'dark') {
        color: #31323348;
        stroke: #313233;
      } @else if ($value == 'dusky') {
        color: #4A4C4C48;
        stroke: #4A4C4C;
      } @else if ($value == 'light') {
        color: #F9FEFF48;
        stroke: #F9FEFF;
      }
    } @else if ($saturation == 'fade') {
      @if ($value == 'darker') {
        color: #22252648;
        stroke: #222526;
      } @else if ($value == 'dark') {
        color: #2D323348;
        stroke: #2D3233;
      } @else if ($value == 'dusky') {
        color: #444B4C48;
        stroke: #444B4C;
      } @else if ($value == 'light') {
        color: #E5FCFF48;
        stroke: #E5FCFF;
      }
    } @else if ($saturation == 'pastel') {
      @if ($value == 'darker') {
        color: #1E252648;
        stroke: #1E2526;
      } @else if ($value == 'dark') {
        color: #28323348;
        stroke: #283233;
      } @else if ($value == 'dusky') {
        color: #3D4B4C48;
        stroke: #3D4B4C;
      } @else if ($value == 'light') {
        color: #CCFAFF48;
        stroke: #CCFAFF;
      }
    } @else if ($saturation == 'bright') {
      @if ($value == 'darker') {
        color: #0F242648;
        stroke: #0F2426;
      } @else if ($value == 'dark') {
        color: #14303348;
        stroke: #143033;
      } @else if ($value == 'dusky') {
        color: #1E484C48;
        stroke: #1E484C;
      } @else if ($value == 'light') {
        color: #66F2FF48;
        stroke: #66F2FF;
      }
    } @else if ($saturation == 'brighter') {
      @if ($value == 'darker') {
        color: #07232648;
        stroke: #072326;
      } @else if ($value == 'dark') {
        color: #0A2F3348;
        stroke: #0A2F33;
      } @else if ($value == 'dusky') {
        color: #0F474C48;
        stroke: #0F474C;
      } @else if ($value == 'light') {
        color: #32EDFF48;
        stroke: #32EDFF;
      }
    }
  } @else if ($hue == 'delta') {
    @if ($saturation == 'fader') {
      @if ($value == 'darker') {
        color: #25252648;
        stroke: #252526;
      } @else if ($value == 'dark') {
        color: #32313348;
        stroke: #323133;
      } @else if ($value == 'dusky') {
        color: #4B4A4C48;
        stroke: #4B4A4C;
      } @else if ($value == 'light') {
        color: #FAF9FF48;
        stroke: #FAF9FF;
      }
    } @else if ($saturation == 'fade') {
      @if ($value == 'darker') {
        color: #23222648;
        stroke: #232226;
      } @else if ($value == 'dark') {
        color: #2E2D3348;
        stroke: #2E2D33;
      } @else if ($value == 'dusky') {
        color: #46444C48;
        stroke: #46444C;
      } @else if ($value == 'light') {
        color: #E9E5FF48;
        stroke: #E9E5FF;
      }
    } @else if ($saturation == 'pastel') {
      @if ($value == 'darker') {
        color: #1F1E2648;
        stroke: #1F1E26;
      } @else if ($value == 'dark') {
        color: #2A283348;
        stroke: #2A2833;
      } @else if ($value == 'dusky') {
        color: #3F3D4C48;
        stroke: #3F3D4C;
      } @else if ($value == 'light') {
        color: #D4CCFF48;
        stroke: #D4CCFF;
      }
    } @else if ($saturation == 'bright') {
      @if ($value == 'darker') {
        color: #130F2648;
        stroke: #130F26;
      } @else if ($value == 'dark') {
        color: #19143348;
        stroke: #191433;
      } @else if ($value == 'dusky') {
        color: #261E4C48;
        stroke: #261E4C;
      } @else if ($value == 'light') {
        color: #7F66FF48;
        stroke: #7F66FF;
      }
    } @else if ($saturation == 'brighter') {
      @if ($value == 'darker') {
        color: #0C072648;
        stroke: #0C0726;
      } @else if ($value == 'dark') {
        color: #110A3348;
        stroke: #110A33;
      } @else if ($value == 'dusky') {
        color: #190F4C48;
        stroke: #190F4C;
      } @else if ($value == 'light') {
        color: #5532FF48;
        stroke: #5532FF;
      }
    }
  } @else if ($hue == 'omega') {
    @if ($saturation == 'fader') {
      @if ($value == 'darker') {
        color: #26252648;
        stroke: #262526;
      } @else if ($value == 'dark') {
        color: #33313248;
        stroke: #333132;
      } @else if ($value == 'dusky') {
        color: #4C4A4C48;
        stroke: #4C4A4C;
      } @else if ($value == 'light') {
        color: #FFF9FD48;
        stroke: #FFF9FD;
      }
    } @else if ($saturation == 'fade') {
      @if ($value == 'darker') {
        color: #26222548;
        stroke: #262225;
      } @else if ($value == 'dark') {
        color: #332D3148;
        stroke: #332D31;
      } @else if ($value == 'dusky') {
        color: #4C444A48;
        stroke: #4C444A;
      } @else if ($value == 'light') {
        color: #FFE5F848;
        stroke: #FFE5F8;
      }
    } @else if ($saturation == 'pastel') {
      @if ($value == 'darker') {
        color: #261E2448;
        stroke: #261E24;
      } @else if ($value == 'dark') {
        color: #33283048;
        stroke: #332830;
      } @else if ($value == 'dusky') {
        color: #4C3D4848;
        stroke: #4C3D48;
      } @else if ($value == 'light') {
        color: #FFCCF248;
        stroke: #FFCCF2;
      }
    } @else if ($saturation == 'bright') {
      @if ($value == 'darker') {
        color: #260F2048;
        stroke: #260F20;
      } @else if ($value == 'dark') {
        color: #33142B48;
        stroke: #33142B;
      } @else if ($value == 'dusky') {
        color: #4C1E4148;
        stroke: #4C1E41;
      } @else if ($value == 'light') {
        color: #FF66D848;
        stroke: #FF66D8;
      }
    } @else if ($saturation == 'brighter') {
      @if ($value == 'darker') {
        color: #26071E48;
        stroke: #26071E;
      } @else if ($value == 'dark') {
        color: #330A2848;
        stroke: #330A28;
      } @else if ($value == 'dusky') {
        color: #4C0F3D48;
        stroke: #4C0F3D;
      } @else if ($value == 'light') {
        color: #FF32CC48;
        stroke: #FF32CC;
      }
    }
  }
}

@mixin colors() {
  .color {
    &-alpha {
      &-fader {
        &-darker {
          color: #F2F1E6;
          background-color: #262625;
          stroke: #F2F1E6;
          fill: #262625;
        }

        &-dark {
          color: #F2F1E6;
          background-color: #333231;
          stroke: #F2F1E6;
          fill: #333231;
        }

        &-dusky {
          color: #F2F1E6;
          background-color: #4C4C4A;
          stroke: #F2F1E6;
          fill: #4C4C4A;
        }

        &-light {
          color: #191916;
          background-color: #FFFEF9;
          stroke: #191916;
          fill: #FFFEF9;
        }
      }

      &-fade {
        &-darker {
          color: #F2F1E6;
          background-color: #262522;
          stroke: #F2F1E6;
          fill: #262522;
        }

        &-dark {
          color: #F2F1E6;
          background-color: #33322D;
          stroke: #F2F1E6;
          fill: #33322D;
        }

        &-dusky {
          color: #F2F1E6;
          background-color: #4C4B44;
          stroke: #F2F1E6;
          fill: #4C4B44;
        }

        &-light {
          color: #191916;
          background-color: #FFFCE5;
          stroke: #191916;
          fill: #FFFCE5;
        }
      }

      &-pastel {
        &-darker {
          color: #F2F1E6;
          background-color: #26251E;
          stroke: #F2F1E6;
          fill: #26251E;
        }

        &-dark {
          color: #F2F1E6;
          background-color: #333228;
          stroke: #F2F1E6;
          fill: #333228;
        }

        &-dusky {
          color: #F2F1E6;
          background-color: #4C4B3D;
          stroke: #F2F1E6;
          fill: #4C4B3D;
        }

        &-light {
          color: #191916;
          background-color: #FFFACC;
          stroke: #191916;
          fill: #FFFACC;
        }
      }

      &-bright {
        &-darker {
          color: #F2F1E6;
          background-color: #26240F;
          stroke: #F2F1E6;
          fill: #26240F;
        }

        &-dark {
          color: #F2F1E6;
          background-color: #333014;
          stroke: #F2F1E6;
          fill: #333014;
        }

        &-dusky {
          color: #F2F1E6;
          background-color: #4C481E;
          stroke: #F2F1E6;
          fill: #4C481E;
        }

        &-light {
          color: #191916;
          background-color: #FFF266;
          stroke: #191916;
          fill: #FFF266;
        }
      }

      &-brighter {
        &-darker {
          color: #F2F1E6;
          background-color: #262307;
          stroke: #F2F1E6;
          fill: #262307;
        }

        &-dark {
          color: #F2F1E6;
          background-color: #332F0A;
          stroke: #F2F1E6;
          fill: #332F0A;
        }

        &-dusky {
          color: #F2F1E6;
          background-color: #4C470F;
          stroke: #F2F1E6;
          fill: #4C470F;
        }

        &-light {
          color: #191916;
          background-color: #FFEE32;
          stroke: #191916;
          fill: #FFEE32;
        }
      }
    }

    &-beta {
      &-fader {
        &-darker {
          color: #E6F2E6;
          background-color: #252625;
          stroke: #E6F2E6;
          fill: #252625;
        }

        &-dark {
          color: #E6F2E6;
          background-color: #313331;
          stroke: #E6F2E6;
          fill: #313331;
        }

        &-dusky {
          color: #E6F2E6;
          background-color: #4A4C4A;
          stroke: #E6F2E6;
          fill: #4A4C4A;
        }

        &-light {
          color: #161916;
          background-color: #F9FFF9;
          stroke: #161916;
          fill: #F9FFF9;
        }
      }

      &-fade {
        &-darker {
          color: #E6F2E6;
          background-color: #222622;
          stroke: #E6F2E6;
          fill: #222622;
        }

        &-dark {
          color: #E6F2E6;
          background-color: #2D332D;
          stroke: #E6F2E6;
          fill: #2D332D;
        }

        &-dusky {
          color: #E6F2E6;
          background-color: #444C44;
          stroke: #E6F2E6;
          fill: #444C44;
        }

        &-light {
          color: #161916;
          background-color: #E5FFE5;
          stroke: #161916;
          fill: #E5FFE5;
        }
      }

      &-pastel {
        &-darker {
          color: #E6F2E6;
          background-color: #1E261E;
          stroke: #E6F2E6;
          fill: #1E261E;
        }

        &-dark {
          color: #E6F2E6;
          background-color: #283328;
          stroke: #E6F2E6;
          fill: #283328;
        }

        &-dusky {
          color: #E6F2E6;
          background-color: #3D4C3D;
          stroke: #E6F2E6;
          fill: #3D4C3D;
        }

        &-light {
          color: #161916;
          background-color: #CCFFCC;
          stroke: #161916;
          fill: #CCFFCC;
        }
      }

      &-bright {
        &-darker {
          color: #E6F2E6;
          background-color: #0F260F;
          stroke: #E6F2E6;
          fill: #0F260F;
        }

        &-dark {
          color: #E6F2E6;
          background-color: #143314;
          stroke: #E6F2E6;
          fill: #143314;
        }

        &-dusky {
          color: #E6F2E6;
          background-color: #1E4C1E;
          stroke: #E6F2E6;
          fill: #1E4C1E;
        }

        &-light {
          color: #161916;
          background-color: #66FF66;
          stroke: #161916;
          fill: #66FF66;
        }
      }

      &-brighter {
        &-darker {
          color: #E6F2E6;
          background-color: #072607;
          stroke: #E6F2E6;
          fill: #072607;
        }

        &-dark {
          color: #E6F2E6;
          background-color: #0A330A;
          stroke: #E6F2E6;
          fill: #0A330A;
        }

        &-dusky {
          color: #E6F2E6;
          background-color: #0F4C0F;
          stroke: #E6F2E6;
          fill: #0F4C0F;
        }

        &-light {
          color: #161916;
          background-color: #32FF32;
          stroke: #161916;
          fill: #32FF32;
        }
      }
    }

    &-gamma {
      &-fader {
        &-darker {
          color: #E6F1F2;
          background-color: #252626;
          stroke: #E6F1F2;
          fill: #252626;
        }

        &-dark {
          color: #E6F1F2;
          background-color: #313233;
          stroke: #E6F1F2;
          fill: #313233;
        }

        &-dusky {
          color: #E6F1F2;
          background-color: #4A4C4C;
          stroke: #E6F1F2;
          fill: #4A4C4C;
        }

        &-light {
          color: #161919;
          background-color: #F9FEFF;
          stroke: #161919;
          fill: #F9FEFF;
        }
      }

      &-fade {
        &-darker {
          color: #E6F1F2;
          background-color: #222526;
          stroke: #E6F1F2;
          fill: #222526;
        }

        &-dark {
          color: #E6F1F2;
          background-color: #2D3233;
          stroke: #E6F1F2;
          fill: #2D3233;
        }

        &-dusky {
          color: #E6F1F2;
          background-color: #444B4C;
          stroke: #E6F1F2;
          fill: #444B4C;
        }

        &-light {
          color: #161919;
          background-color: #E5FCFF;
          stroke: #161919;
          fill: #E5FCFF;
        }
      }

      &-pastel {
        &-darker {
          color: #E6F1F2;
          background-color: #1E2526;
          stroke: #E6F1F2;
          fill: #1E2526;
        }

        &-dark {
          color: #E6F1F2;
          background-color: #283233;
          stroke: #E6F1F2;
          fill: #283233;
        }

        &-dusky {
          color: #E6F1F2;
          background-color: #3D4B4C;
          stroke: #E6F1F2;
          fill: #3D4B4C;
        }

        &-light {
          color: #161919;
          background-color: #CCFAFF;
          stroke: #161919;
          fill: #CCFAFF;
        }
      }

      &-bright {
        &-darker {
          color: #E6F1F2;
          background-color: #0F2426;
          stroke: #E6F1F2;
          fill: #0F2426;
        }

        &-dark {
          color: #E6F1F2;
          background-color: #143033;
          stroke: #E6F1F2;
          fill: #143033;
        }

        &-dusky {
          color: #E6F1F2;
          background-color: #1E484C;
          stroke: #E6F1F2;
          fill: #1E484C;
        }

        &-light {
          color: #161919;
          background-color: #66F2FF;
          stroke: #161919;
          fill: #66F2FF;
        }
      }

      &-brighter {
        &-darker {
          color: #E6F1F2;
          background-color: #072326;
          stroke: #E6F1F2;
          fill: #072326;
        }

        &-dark {
          color: #E6F1F2;
          background-color: #0A2F33;
          stroke: #E6F1F2;
          fill: #0A2F33;
        }

        &-dusky {
          color: #E6F1F2;
          background-color: #0F474C;
          stroke: #E6F1F2;
          fill: #0F474C;
        }

        &-light {
          color: #161919;
          background-color: #32EDFF;
          stroke: #161919;
          fill: #32EDFF;
        }
      }
    }

    &-delta {
      &-fader {
        &-darker {
          color: #E8E6F2;
          background-color: #252526;
          stroke: #E8E6F2;
          fill: #252526;
        }

        &-dark {
          color: #E8E6F2;
          background-color: #323133;
          stroke: #E8E6F2;
          fill: #323133;
        }

        &-dusky {
          color: #E8E6F2;
          background-color: #4B4A4C;
          stroke: #E8E6F2;
          fill: #4B4A4C;
        }

        &-light {
          color: #171619;
          background-color: #FAF9FF;
          stroke: #171619;
          fill: #FAF9FF;
        }
      }

      &-fade {
        &-darker {
          color: #E8E6F2;
          background-color: #232226;
          stroke: #E8E6F2;
          fill: #232226;
        }

        &-dark {
          color: #E8E6F2;
          background-color: #2E2D33;
          stroke: #E8E6F2;
          fill: #2E2D33;
        }

        &-dusky {
          color: #E8E6F2;
          background-color: #46444C;
          stroke: #E8E6F2;
          fill: #46444C;
        }

        &-light {
          color: #171619;
          background-color: #E9E5FF;
          stroke: #171619;
          fill: #E9E5FF;
        }
      }

      &-pastel {
        &-darker {
          color: #E8E6F2;
          background-color: #1F1E26;
          stroke: #E8E6F2;
          fill: #1F1E26;
        }

        &-dark {
          color: #E8E6F2;
          background-color: #2A2833;
          stroke: #E8E6F2;
          fill: #2A2833;
        }

        &-dusky {
          color: #E8E6F2;
          background-color: #3F3D4C;
          stroke: #E8E6F2;
          fill: #3F3D4C;
        }

        &-light {
          color: #171619;
          background-color: #D4CCFF;
          stroke: #171619;
          fill: #D4CCFF;
        }
      }

      &-bright {
        &-darker {
          color: #E8E6F2;
          background-color: #130F26;
          stroke: #E8E6F2;
          fill: #130F26;
        }

        &-dark {
          color: #E8E6F2;
          background-color: #191433;
          stroke: #E8E6F2;
          fill: #191433;
        }

        &-dusky {
          color: #E8E6F2;
          background-color: #261E4C;
          stroke: #E8E6F2;
          fill: #261E4C;
        }

        &-light {
          color: #171619;
          background-color: #7F66FF;
          stroke: #171619;
          fill: #7F66FF;
        }
      }

      &-brighter {
        &-darker {
          color: #E8E6F2;
          background-color: #0C0726;
          stroke: #E8E6F2;
          fill: #0C0726;
        }

        &-dark {
          color: #E8E6F2;
          background-color: #110A33;
          stroke: #E8E6F2;
          fill: #110A33;
        }

        &-dusky {
          color: #E8E6F2;
          background-color: #190F4C;
          stroke: #E8E6F2;
          fill: #190F4C;
        }

        &-light {
          color: #E8E6F2;
          background-color: #5532FF;
          stroke: #E8E6F2;
          fill: #5532FF;
        }
      }
    }

    &-omega {
      &-fader {
        &-darker {
          color: #F2E6EF;
          background-color: #262526;
          stroke: #F2E6EF;
          fill: #262526;
        }

        &-dark {
          color: #F2E6EF;
          background-color: #333132;
          stroke: #F2E6EF;
          fill: #333132;
        }

        &-dusky {
          color: #F2E6EF;
          background-color: #4C4A4C;
          stroke: #F2E6EF;
          fill: #4C4A4C;
        }

        &-light {
          color: #191618;
          background-color: #FFF9FD;
          stroke: #191618;
          fill: #FFF9FD;
        }
      }

      &-fade {
        &-darker {
          color: #F2E6EF;
          background-color: #262225;
          stroke: #F2E6EF;
          fill: #262225;
        }

        &-dark {
          color: #F2E6EF;
          background-color: #332D31;
          stroke: #F2E6EF;
          fill: #332D31;
        }

        &-dusky {
          color: #F2E6EF;
          background-color: #4C444A;
          stroke: #F2E6EF;
          fill: #4C444A;
        }

        &-light {
          color: #191618;
          background-color: #FFE5F8;
          stroke: #191618;
          fill: #FFE5F8;
        }
      }

      &-pastel {
        &-darker {
          color: #F2E6EF;
          background-color: #261E24;
          stroke: #F2E6EF;
          fill: #261E24;
        }

        &-dark {
          color: #F2E6EF;
          background-color: #332830;
          stroke: #F2E6EF;
          fill: #332830;
        }

        &-dusky {
          color: #F2E6EF;
          background-color: #4C3D48;
          stroke: #F2E6EF;
          fill: #4C3D48;
        }

        &-light {
          color: #191618;
          background-color: #FFCCF2;
          stroke: #191618;
          fill: #FFCCF2;
        }
      }

      &-bright {
        &-darker {
          color: #F2E6EF;
          background-color: #260F20;
          stroke: #F2E6EF;
          fill: #260F20;
        }

        &-dark {
          color: #F2E6EF;
          background-color: #33142B;
          stroke: #F2E6EF;
          fill: #33142B;
        }

        &-dusky {
          color: #F2E6EF;
          background-color: #4C1E41;
          stroke: #F2E6EF;
          fill: #4C1E41;
        }

        &-light {
          color: #191618;
          background-color: #FF66D8;
          stroke: #191618;
          fill: #FF66D8;
        }
      }

      &-brighter {
        &-darker {
          color: #F2E6EF;
          background-color: #26071E;
          stroke: #F2E6EF;
          fill: #26071E;
        }

        &-dark {
          color: #F2E6EF;
          background-color: #330A28;
          stroke: #F2E6EF;
          fill: #330A28;
        }

        &-dusky {
          color: #F2E6EF;
          background-color: #4C0F3D;
          stroke: #F2E6EF;
          fill: #4C0F3D;
        }

        &-light {
          color: #191618;
          background-color: #FF32CC;
          stroke: #191618;
          fill: #FF32CC;
        }
      }
    }

  }

  .hover-color {
    &-alpha {
      &-fader {
        &-darker:hover {
          color: #F2F1E6;
          background-color: #262625
        }

        &-dark:hover {
          color: #F2F1E6;
          background-color: #333231
        }

        &-dusky:hover {
          color: #F2F1E6;
          background-color: #4C4C4A
        }

        &-light:hover {
          color: #191916;
          background-color: #FFFEF9
        }
      }

      &-fade {
        &-darker:hover {
          color: #F2F1E6;
          background-color: #262522
        }

        &-dark:hover {
          color: #F2F1E6;
          background-color: #33322D
        }

        &-dusky:hover {
          color: #F2F1E6;
          background-color: #4C4B44
        }

        &-light:hover {
          color: #191916;
          background-color: #FFFCE5
        }
      }

      &-pastel {
        &-darker:hover {
          color: #F2F1E6;
          background-color: #26251E
        }

        &-dark:hover {
          color: #F2F1E6;
          background-color: #333228
        }

        &-dusky:hover {
          color: #F2F1E6;
          background-color: #4C4B3D
        }

        &-light:hover {
          color: #191916;
          background-color: #FFFACC
        }
      }

      &-bright {
        &-darker:hover {
          color: #F2F1E6;
          background-color: #26240F
        }

        &-dark:hover {
          color: #F2F1E6;
          background-color: #333014
        }

        &-dusky:hover {
          color: #F2F1E6;
          background-color: #4C481E
        }

        &-light:hover {
          color: #191916;
          background-color: #FFF266
        }
      }

      &-brighter {
        &-darker:hover {
          color: #F2F1E6;
          background-color: #262307
        }

        &-dark:hover {
          color: #F2F1E6;
          background-color: #332F0A
        }

        &-dusky:hover {
          color: #F2F1E6;
          background-color: #4C470F
        }

        &-light:hover {
          color: #191916;
          background-color: #FFEE32
        }
      }
    }

    &-beta {
      &-fader {
        &-darker:hover {
          color: #E6F2E6;
          background-color: #252625
        }

        &-dark:hover {
          color: #E6F2E6;
          background-color: #313331
        }

        &-dusky:hover {
          color: #E6F2E6;
          background-color: #4A4C4A
        }

        &-light:hover {
          color: #161916;
          background-color: #F9FFF9
        }
      }

      &-fade {
        &-darker:hover {
          color: #E6F2E6;
          background-color: #222622
        }

        &-dark:hover {
          color: #E6F2E6;
          background-color: #2D332D
        }

        &-dusky:hover {
          color: #E6F2E6;
          background-color: #444C44
        }

        &-light:hover {
          color: #161916;
          background-color: #E5FFE5
        }
      }

      &-pastel {
        &-darker:hover {
          color: #E6F2E6;
          background-color: #1E261E
        }

        &-dark:hover {
          color: #E6F2E6;
          background-color: #283328
        }

        &-dusky:hover {
          color: #E6F2E6;
          background-color: #3D4C3D
        }

        &-light:hover {
          color: #161916;
          background-color: #CCFFCC
        }
      }

      &-bright {
        &-darker:hover {
          color: #E6F2E6;
          background-color: #0F260F
        }

        &-dark:hover {
          color: #E6F2E6;
          background-color: #143314
        }

        &-dusky:hover {
          color: #E6F2E6;
          background-color: #1E4C1E
        }

        &-light:hover {
          color: #161916;
          background-color: #66FF66
        }
      }

      &-brighter {
        &-darker:hover {
          color: #E6F2E6;
          background-color: #072607
        }

        &-dark:hover {
          color: #E6F2E6;
          background-color: #0A330A
        }

        &-dusky:hover {
          color: #E6F2E6;
          background-color: #0F4C0F
        }

        &-light:hover {
          color: #161916;
          background-color: #32FF32
        }
      }
    }

    &-gamma {
      &-fader {
        &-darker:hover {
          color: #E6F1F2;
          background-color: #252626
        }

        &-dark:hover {
          color: #E6F1F2;
          background-color: #313233
        }

        &-dusky:hover {
          color: #E6F1F2;
          background-color: #4A4C4C
        }

        &-light:hover {
          color: #161919;
          background-color: #F9FEFF
        }
      }

      &-fade {
        &-darker:hover {
          color: #E6F1F2;
          background-color: #222526
        }

        &-dark:hover {
          color: #E6F1F2;
          background-color: #2D3233
        }

        &-dusky:hover {
          color: #E6F1F2;
          background-color: #444B4C
        }

        &-light:hover {
          color: #161919;
          background-color: #E5FCFF
        }
      }

      &-pastel {
        &-darker:hover {
          color: #E6F1F2;
          background-color: #1E2526
        }

        &-dark:hover {
          color: #E6F1F2;
          background-color: #283233
        }

        &-dusky:hover {
          color: #E6F1F2;
          background-color: #3D4B4C
        }

        &-light:hover {
          color: #161919;
          background-color: #CCFAFF
        }
      }

      &-bright {
        &-darker:hover {
          color: #E6F1F2;
          background-color: #0F2426
        }

        &-dark:hover {
          color: #E6F1F2;
          background-color: #143033
        }

        &-dusky:hover {
          color: #E6F1F2;
          background-color: #1E484C
        }

        &-light:hover {
          color: #161919;
          background-color: #66F2FF
        }
      }

      &-brighter {
        &-darker:hover {
          color: #E6F1F2;
          background-color: #072326
        }

        &-dark:hover {
          color: #E6F1F2;
          background-color: #0A2F33
        }

        &-dusky:hover {
          color: #E6F1F2;
          background-color: #0F474C
        }

        &-light:hover {
          color: #161919;
          background-color: #32EDFF
        }
      }
    }

    &-delta {
      &-fader {
        &-darker:hover {
          color: #E8E6F2;
          background-color: #252526
        }

        &-dark:hover {
          color: #E8E6F2;
          background-color: #323133
        }

        &-dusky:hover {
          color: #E8E6F2;
          background-color: #4B4A4C
        }

        &-light:hover {
          color: #171619;
          background-color: #FAF9FF
        }
      }

      &-fade {
        &-darker:hover {
          color: #E8E6F2;
          background-color: #232226
        }

        &-dark:hover {
          color: #E8E6F2;
          background-color: #2E2D33
        }

        &-dusky:hover {
          color: #E8E6F2;
          background-color: #46444C
        }

        &-light:hover {
          color: #171619;
          background-color: #E9E5FF
        }
      }

      &-pastel {
        &-darker:hover {
          color: #E8E6F2;
          background-color: #1F1E26
        }

        &-dark:hover {
          color: #E8E6F2;
          background-color: #2A2833
        }

        &-dusky:hover {
          color: #E8E6F2;
          background-color: #3F3D4C
        }

        &-light:hover {
          color: #171619;
          background-color: #D4CCFF
        }
      }

      &-bright {
        &-darker:hover {
          color: #E8E6F2;
          background-color: #130F26
        }

        &-dark:hover {
          color: #E8E6F2;
          background-color: #191433
        }

        &-dusky:hover {
          color: #E8E6F2;
          background-color: #261E4C
        }

        &-light:hover {
          color: #171619;
          background-color: #7F66FF
        }
      }

      &-brighter {
        &-darker:hover {
          color: #E8E6F2;
          background-color: #0C0726
        }

        &-dark:hover {
          color: #E8E6F2;
          background-color: #110A33
        }

        &-dusky:hover {
          color: #E8E6F2;
          background-color: #190F4C
        }

        &-light:hover {
          color: #E8E6F2;
          background-color: #5532FF
        }
      }
    }

    &-omega {
      &-fader {
        &-darker:hover {
          color: #F2E6EF;
          background-color: #262526
        }

        &-dark:hover {
          color: #F2E6EF;
          background-color: #333132
        }

        &-dusky:hover {
          color: #F2E6EF;
          background-color: #4C4A4C
        }

        &-light:hover {
          color: #191618;
          background-color: #FFF9FD
        }
      }

      &-fade {
        &-darker:hover {
          color: #F2E6EF;
          background-color: #262225
        }

        &-dark:hover {
          color: #F2E6EF;
          background-color: #332D31
        }

        &-dusky:hover {
          color: #F2E6EF;
          background-color: #4C444A
        }

        &-light:hover {
          color: #191618;
          background-color: #FFE5F8
        }
      }

      &-pastel {
        &-darker:hover {
          color: #F2E6EF;
          background-color: #261E24
        }

        &-dark:hover {
          color: #F2E6EF;
          background-color: #332830
        }

        &-dusky:hover {
          color: #F2E6EF;
          background-color: #4C3D48
        }

        &-light:hover {
          color: #191618;
          background-color: #FFCCF2
        }
      }

      &-bright {
        &-darker:hover {
          color: #F2E6EF;
          background-color: #260F20
        }

        &-dark:hover {
          color: #F2E6EF;
          background-color: #33142B
        }

        &-dusky:hover {
          color: #F2E6EF;
          background-color: #4C1E41
        }

        &-light:hover {
          color: #191618;
          background-color: #FF66D8
        }
      }

      &-brighter {
        &-darker:hover {
          color: #F2E6EF;
          background-color: #26071E
        }

        &-dark:hover {
          color: #F2E6EF;
          background-color: #330A28
        }

        &-dusky:hover {
          color: #F2E6EF;
          background-color: #4C0F3D
        }

        &-light:hover {
          color: #191618;
          background-color: #FF32CC
        }
      }
    }
  }
}